Debian Bug report logs - #670450
avifile: FTBFS[kfreebsd]:

version graph

Package: src:avifile; Maintainer for src:avifile is Ying-Chun Liu (PaulLiu) <paulliu@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 25 Apr 2012 18:09:07 UTC

Severity: serious

Tags: sid, wheezy

Found in version avifile/1:0.7.48~20090503.ds-10

Fixed in version avifile/1:0.7.48~20090503.ds-11

Done: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Ying-Chun Liu (PaulLiu) <paulliu@debian.org>:
Bug#670450; Package src:avifile. (Wed, 25 Apr 2012 18:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Ying-Chun Liu (PaulLiu) <paulliu@debian.org>. (Wed, 25 Apr 2012 18:09:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: avifile: FTBFS[kfreebsd]:
Date: Wed, 25 Apr 2012 20:08:55 +0200
Package: src:avifile
Version: 1:0.7.48~20090503.ds-10
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

/usr/include/X11/extensions/xf86dgastr.h:1:2: warning: #warning "xf86dgastr.h is obsolete and may be removed in the future." [-Wcpp]
/usr/include/X11/extensions/xf86dgastr.h:2:2: warning: #warning "include <X11/extensions/xf86dgaproto.h> for the protocol defines." [-Wcpp]
gcc -DHAVE_CONFIG_H -I. -I../../include    -I../../libavqt -DI18N_PATH=\"/usr/share/avifile-0.7/i18\" -D_FORTIFY_SOURCE=2 -Wall -Wno-unused -I../../include  -Wall -g -O2 -ffast-math -fomit-frame-pointer -pipe -c qt_visual.c
qt_visual.c:27:28: fatal error: X11/IntrinsicP.h: No such file or directory
compilation terminated.
make[3]: *** [qt_visual.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=avifile&arch=kfreebsd-amd64&ver=1%3A0.7.48%7E20090503.ds-10&stamp=1335301033

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Ying-Chun Liu (PaulLiu) <paulliu@debian.org>:
You have taken responsibility. (Tue, 01 May 2012 05:48:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 01 May 2012 05:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 670450-close@bugs.debian.org (full text, mbox):

From: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
To: 670450-close@bugs.debian.org
Subject: Bug#670450: fixed in avifile 1:0.7.48~20090503.ds-11
Date: Tue, 01 May 2012 05:47:16 +0000
Source: avifile
Source-Version: 1:0.7.48~20090503.ds-11

We believe that the bug you reported is fixed in the latest version of
avifile, which is due to be installed in the Debian FTP archive:

avifile_0.7.48~20090503.ds-11.debian.tar.gz
  to main/a/avifile/avifile_0.7.48~20090503.ds-11.debian.tar.gz
avifile_0.7.48~20090503.ds-11.dsc
  to main/a/avifile/avifile_0.7.48~20090503.ds-11.dsc
libavifile-0.7-bin_0.7.48~20090503.ds-11_i386.deb
  to main/a/avifile/libavifile-0.7-bin_0.7.48~20090503.ds-11_i386.deb
libavifile-0.7-common_0.7.48~20090503.ds-11_all.deb
  to main/a/avifile/libavifile-0.7-common_0.7.48~20090503.ds-11_all.deb
libavifile-0.7-dev_0.7.48~20090503.ds-11_i386.deb
  to main/a/avifile/libavifile-0.7-dev_0.7.48~20090503.ds-11_i386.deb
libavifile-0.7c2_0.7.48~20090503.ds-11_i386.deb
  to main/a/avifile/libavifile-0.7c2_0.7.48~20090503.ds-11_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ying-Chun Liu (PaulLiu) <paulliu@debian.org> (supplier of updated avifile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 01 May 2012 12:07:09 +0800
Source: avifile
Binary: libavifile-0.7c2 libavifile-0.7-dev libavifile-0.7-bin libavifile-0.7-common
Architecture: source i386 all
Version: 1:0.7.48~20090503.ds-11
Distribution: unstable
Urgency: low
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Changed-By: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Description: 
 libavifile-0.7-bin - toolkit for libavifile
 libavifile-0.7-common - toolkit for libavifile
 libavifile-0.7-dev - development header files for libavifile
 libavifile-0.7c2 - shared libraries for AVI read/writing
Closes: 670450
Changes: 
 avifile (1:0.7.48~20090503.ds-11) unstable; urgency=low
 .
   * Add libxt-dev to Build-Depends. Fix FTBFS on kfreebsd (Closes: #670450)
Checksums-Sha1: 
 43089a0786fc1f6af0bfd876f05f8c7b6ab5a9f2 2180 avifile_0.7.48~20090503.ds-11.dsc
 7046bd742f4af5f4c37ec263db3b9b0c6d83c74c 25497 avifile_0.7.48~20090503.ds-11.debian.tar.gz
 a4eeaeb07446e44c940f67218f20fb1cd4ad6b8e 454546 libavifile-0.7c2_0.7.48~20090503.ds-11_i386.deb
 344615516bf61843bf4ad6ed0f862e3ab3ad4b56 94126 libavifile-0.7-dev_0.7.48~20090503.ds-11_i386.deb
 6e9af4dcf4e4efb9f08da637dd852ee8cfc30149 63722 libavifile-0.7-bin_0.7.48~20090503.ds-11_i386.deb
 0928e092bf156c7b42c721bf9d1e0f7a537a6586 90054 libavifile-0.7-common_0.7.48~20090503.ds-11_all.deb
Checksums-Sha256: 
 b58d5a95c032b1ab76e92640c4a242470c8f7da1075addaa3b3cb185500fd6b4 2180 avifile_0.7.48~20090503.ds-11.dsc
 97b3cb7a67c75d6d3f844e8978af3f870415088be8896da61671fa253bccc4bd 25497 avifile_0.7.48~20090503.ds-11.debian.tar.gz
 d95926066423b31163f0314657dd7411eea0b02640c1d78fcf716f5184ccca1e 454546 libavifile-0.7c2_0.7.48~20090503.ds-11_i386.deb
 2cc76406cb9004ea347949b6700300145039f16ebe32d36125672d070b037f50 94126 libavifile-0.7-dev_0.7.48~20090503.ds-11_i386.deb
 2d80c3ee9debe7b3b4616e3d5a2cbd059fa44cb3c34ca533bbc120ab103a51db 63722 libavifile-0.7-bin_0.7.48~20090503.ds-11_i386.deb
 43d2540e4af50be15d91cf337c740ed9c507de6fca06df597127b735eda85607 90054 libavifile-0.7-common_0.7.48~20090503.ds-11_all.deb
Files: 
 5415a7af46a365baab4df34455f0ebeb 2180 libs optional avifile_0.7.48~20090503.ds-11.dsc
 ffe7bd5d082622fccfef99b32f012c59 25497 libs optional avifile_0.7.48~20090503.ds-11.debian.tar.gz
 09d4e681b307f0a2a8a353777e8de48d 454546 libs optional libavifile-0.7c2_0.7.48~20090503.ds-11_i386.deb
 8b07ad16c97af001b64a27d84c217e3e 94126 libdevel optional libavifile-0.7-dev_0.7.48~20090503.ds-11_i386.deb
 fb3a492c16e3ae63a0bfd3f1298fd125 63722 misc optional libavifile-0.7-bin_0.7.48~20090503.ds-11_i386.deb
 9b43484107a82d2f68de9e27451cb781 90054 misc optional libavifile-0.7-common_0.7.48~20090503.ds-11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPn3gaAAoJEPgLgUbQQog2auwP+gPUhSY4RUCnM5tVwKEk7Udz
oQrB/jxjDOYzsCwV+3B5SD4DdojxwoEKLvSrmzavdJhpI2nPtvSxF3rzJpIIcbrZ
n7dqn5bH7VW4qGbI/+yyKNE7lFi0hKxMh7V4X0k/4lwJOrD5WTm6yaQCX47eqYph
q4TPR6FcHQSHNVWFrdzq+Nd7McHL8IhXuWuGNkEGr/td+ZOP4eCC73WdOmJbv5ie
LalYNvJs/N7QOzRgR5/mCUroTtWskCrA+X2rc83xZj3H+xO/iceF4y9+Rcr/fkdi
gF5Z/Pn3iU2pqtSLwd9fR0m1HgL83JdQhNOry9rv6X4T8JcpIR1dlIABihXX9ifL
MC8+j+tJdVcINqQ+AijZLDZKPHjge/eT8ObNGmHzugQPrWa8ZnOe1+bEvucKxgWC
HQeGvrzY8VT7Uy58QhzaR6zVxNkb6gVIJHzSJjIVwtCEJ0f0O+gDO/eOuSAbsSDh
hjkOPAD0jhYAYay6m22Ta2qn9N+FPAcPvNRjp9jETBjhvtQBPyghW6O6sLwly+gG
1XDe0OdqdQ5AwDdtLuUe9npZVVCbq0wJpp8sHVSpfC9AlY2fwcb8stFXfodkdOUk
owRZxossTgXmO/8cx5/mWbwt75Be1PWB/nR+FL8WR7QJ+Rbig/tm54mb8Fo63LSp
EO8Gr5PsywRp1psVJGXP
=Q8Y1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:45:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:53:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.